Skip to main content
`Ctrl`+`K`

# TaoComputeObjectiveAndGradient

Computes the objective function value at a given point

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeObjectiveAndGradient(Tao tao, Vec X, PetscReal *f, Vec G)

Collective

## Input Parameters

- tao - the `Tao` context

- X - input vector

## Output Parameters

- f - Objective value at `X`

- G - Gradient vector at `X`

## Note

`TaoComputeObjectiveAndGradient()` is typically used within the implementation of the optimization algorithm, so most users would not generally call this routine themselves.

## See Also

TAO: Optimization Solvers, `TaoComputeGradient()`, `TaoSetObjective()`

## Level

developer

## Location

src/tao/interface/taosolver_fg.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages